summaryrefslogtreecommitdiffstats
path: root/debian/hyperv-daemons.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/hyperv-daemons.postinst')
-rw-r--r--debian/hyperv-daemons.postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/hyperv-daemons.postinst b/debian/hyperv-daemons.postinst
new file mode 100644
index 000000000..3573c9c2e
--- /dev/null
+++ b/debian/hyperv-daemons.postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "configure" ]; then
+ if [ -d /run/systemd/system ]; then
+ if [ -z "$2" ]; then
+ # On initial install make sure udev notifies systemd
+ udevadm trigger || true
+ else
+ # On upgrade make sure running daemons are restarted
+ systemctl try-restart hv-fcopy-daemon.service hv-kvp-daemon.service hv-vss-daemon.service
+ fi
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0